OpenVDB: ComputeAuxiliaryData< InputTreeType > Struct Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
ComputeAuxiliaryData< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef InputTreeType::LeafNodeType | InputLeafNodeType
typedef InputLeafNodeType::ValueType | InputValueType
typedef tree::LeafNode< bool, InputLeafNodeType::LOG2DIM > | BoolLeafNodeType
typedef InputTreeType::template ValueConverter< Int16 >::Type | Int16TreeType
typedef InputTreeType::template ValueConverter< Index32 >::Type | Index32TreeType

## Public Member Functions
| ComputeAuxiliaryData (const InputTreeType &inputTree, const std::vector< const BoolLeafNodeType *> &intersectionLeafNodes, Int16TreeType &signFlagsTree, Index32TreeType &pointIndexTree, InputValueType iso)
| ComputeAuxiliaryData (ComputeAuxiliaryData &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const ComputeAuxiliaryData &rhs)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

typedef tree::LeafNode<bool, InputLeafNodeType::LOG2DIM> BoolLeafNodeType

## ◆ Index32TreeType

typedef InputTreeType::template ValueConverter<Index32>::Type Index32TreeType

## ◆ InputLeafNodeType

typedef InputTreeType::LeafNodeType InputLeafNodeType

## ◆ InputValueType

typedef InputLeafNodeType::ValueType InputValueType

## ◆ Int16TreeType

typedef InputTreeType::template ValueConverter<Int16>::Type Int16TreeType

## Constructor & Destructor Documentation

## ◆ ComputeAuxiliaryData() [1/2]

ComputeAuxiliaryData | ( | const InputTreeType & | inputTree,
|  | const std::vector< const BoolLeafNodeType *> & | intersectionLeafNodes,
|  | Int16TreeType & | signFlagsTree,
|  | Index32TreeType & | pointIndexTree,
|  | InputValueType | iso
| ) |  |

## ◆ ComputeAuxiliaryData() [2/2]

ComputeAuxiliaryData | ( | ComputeAuxiliaryData< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

## ◆ join()

void join | ( | const ComputeAuxiliaryData< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h